Arch Rebar Beam Renforcement

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar BeamReinforcement and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Page suivante: Rebar Arch Rebar.png Arrow-right.svg

Arch Rebar BeamReinforcement.svg Arch barre de renforcement

Emplacement du menu
Arch → Rebar tools
Ateliers
Arch, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
ColumnReinforcement TwoTiesSixRebars, Arch Rebar


Description

L'outil Beam Reinforcement permet à l'utilisateur de créer des barres d'armature à l'intérieur d'un objet poutre Arch Structure.

Cette commande fait partie de l' Addon Renforcement, que vous pouvez installer avec Addon Manager via le menu Tools → Addon manager → Reinforcement.

Arch Rebar BeamReinforcement example.png

Renforcement de poutres à l'intérieur d'une poutre Arch Structure


Utilisation

1. Sélectionnez la face droite d'une poutre créée précédemment Arch Structure.svg Structure Arch ayant la longueur le long de l'axe des x. Ou sélectionnez la face avant d'un faisceau précédemment créé Arch Structure.svg Arch Structure ayant la longueur le long de l'axe des y.

2. Ensuite, sélectionnez Arch Rebar ColumnReinforcement.svg Renforcement de poutre dans les outils d'armature.

3. Une boîte de dialogue apparaîtra à l'écran, comme indiqué ci-dessous.

BeamReinforcementDialog Stirrups.png

Boîte de dialogue de l'outil Arch Rebar BeamReinforcement


4. Sélectionnez le type de ferraillage souhaité.

5. Donnez des entrées pour les données relatives aux étriers.

6. Cliquez sur Suivant et la boîte de dialogue sera mise à jour comme indiqué ci-dessous.


BeamReinforcementDialog TopRebars.png

Boîte de dialogue pour les données Top Rebars


7. Définissez les données pour les barres d'armature supérieures.

   - Pour éditer la valeur Number#Diameter@Offset value, cliquez sur le bouton d'édition en regard du label Number#Diameter@Offset. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam TopReinforcement NumberDiameterOffset.png

- Pour modifier la valeur du type de barre, cliquez sur le bouton d'édition en regard de l'étiquette Type de barre. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam TopReinforcement RebarType.png

- Pour modifier la valeur d'orientation du crochet, cliquez sur le bouton d'édition en regard de l'étiquette Orientation du crochet. Une boîte de dialogue apparaîtra comme indiqué ci-dessous

Beam TopReinforcement HookOrientation.png

- Pour modifier la valeur de l'extension de crochet, cliquez sur le bouton d'édition en regard de l'étiquette de l'extension de crochet. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam TopReinforcement HookExtension.png

- Pour modifier la valeur d’arrondi de la barre LR, cliquez sur le bouton Modifier en regard de l’étiquette Arrondi. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam TopReinforcement LRebarRounding.png

- Pour modifier la valeur d'espacement des calques, cliquez sur le bouton d'édition en regard de l'étiquette Espacement des calques. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam TopReinforcement LayerSpacing.png

8. Cliquez sur Suivant et la boîte de dialogue sera mise à jour comme indiqué ci-dessous.

BeamReinforcementDialog BottomRebars.png

Boîte de dialogue pour les données Bottom Rebars


9. Définissez des données pour les barres d'armature inférieures similaires aux données des barres d'armature supérieures.

10. Cliquez sur Suivant et la boîte de dialogue sera mise à jour comme indiqué ci-dessous.

BeamReinforcementDialog LeftRebars.png

Boîte de dialogue pour les données des barres de cisaillement à gauche


11. Définissez les données pour les barres d'armature de cisaillement gauche.

   - Pour éditer la valeur Number#Diameter@Offset, cliquez sur le bouton d'édition en regard du label Number#Diameter@Offset. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam ShearReinforcement NumberDiameterOffset.png

- Pour modifier la valeur du type de barre, cliquez sur le bouton d'édition en regard de l'étiquette Type de barre. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam ShearReinforcement RebarType.png

- Pour modifier la valeur d'orientation du crochet, cliquez sur le bouton d'édition en regard de l'étiquette Orientation du crochet. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam ShearReinforcement HookOrientation.png

- Pour modifier la valeur de l'extension de crochet, cliquez sur le bouton d'édition en regard de l'étiquette de l'extension de crochet. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam ShearReinforcement HookExtension.png

- Pour modifier la valeur LRebar Rounding , cliquez sur le bouton Modifier en regard de l’étiquette Arrondi. Une boîte de dialogue apparaîtra comme indiqué ci-dessous.

Beam ShearReinforcement LRebarRounding.png

12. Cliquez sur Suivant et la boîte de dialogue sera mise à jour comme indiqué ci-dessous.

BeamReinforcementDialog RightRebars.png

Boîte de dialogue pour les données des barres de cisaillement à droite


13. Définissez des données pour les barres d’armature de cisaillement droites similaires à celles des données d’armatures de cisaillement gauche.

14. Cliquez sur OK ou Apply pour générer un ferraillage de poutre.

15. Cliquez sur Cancel pour quitter la boîte de dialogue.

Propriétés

Stirrups:

  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'étrier et la face gauche de la structure.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'étrier et la face droite de la structure.
  • DONNÉESTop Cover: La distance entre les étriers de la face supérieure de la structure.
  • DONNÉESBottom Cover: La distance entre les étriers de la face inférieure de la structure.
  • DONNÉESOffset: La distance entre les étriers de la face supérieure / inférieure de la structure.
  • DONNÉESDiameter: Diamètre de l'étrier.
  • DONNÉESBent Angle: L'angle plié définit l'angle aux extrémités d'un étrier.
  • DONNÉESExtension Factor: Le facteur d'extension définit la longueur de l'extrémité de l'étrier, exprimée en fois le diamètre.
  • DONNÉESNumber: Le nombre d'étriers.
  • DONNÉESSpacing: La distance entre les axes de chaque étrier.


Top/Bottom Reinforcement Rebars: Barres d'armature présentes sur la face supérieure/inférieure de la poutre

  • DONNÉESNumberDiameterOffset: Un tuple de Number#Diameter@Offset chaîne. Chaque élément du tuple représente le ferraillage pour chaque nouveau calque.
  • DONNÉESRebar Type: Liste de tuple de type de barres d'armature.
  • DONNÉESHook Orientation: Liste de tuple d'orientation des crochets en forme de L.
  • DONNÉESHook Extension: Liste des tuple de longueur d'hameçon de barres d'armature en forme de L.
  • DONNÉESRounding: Liste des tuple d'une valeur d'arrondi à appliquer aux coins des barres d'armature LShape, exprimés en diamètre.
  • DONNÉESLayer Spacing: Liste des espacements entre deux couches de renforcement consécutives.


Left/Right Reinforcement Rebars: Barres d'armature présentes à gauche et à droite de la poutre

  • DONNÉESNumberDiameterOffset: Chaîne de Number#Diameter@Offset pour les barres d'armature.
  • DONNÉESRebar Type: Liste des types de barres d'armature.
  • DONNÉESHook Orientation: Liste d'orientation des crochets en forme de L.
  • DONNÉESHook Extension: Liste des longueurs d'hameçon des barres d'armature LShape.
  • DONNÉESRounding: Liste d'une valeur d'arrondi à appliquer aux coins des armatures LShape, exprimée en fois le diamètre.
  • DONNÉESRebar Spacing: Espace libre entre les barres d'armature consécutives.

Script

Voir aussi: Arch API, Reinforcement API et FreeCAD Scripts de bases.

L’outil BeamReinforcement peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante:

Créer des étriers à deux pattes

RebarGroup = makeReinforcement(
    l_cover_of_stirrup,
    r_cover_of_stirrup,
    t_cover_of_stirrup,
    b_cover_of_stirrup,
    offset_of_stirrup,
    bent_angle,
    extension_factor,
    dia_of_stirrup,
    number_spacing_check,
    number_spacing_value,
    top_reinforcement_number_diameter_offset,
    top_reinforcement_rebar_type,
    top_reinforcement_layer_spacing,
    bottom_reinforcement_number_diameter_offset,
    bottom_reinforcement_rebar_type,
    bottom_reinforcement_layer_spacing,
    left_rebars_number_diameter_offset,
    left_rebars_type,
    left_rebars_spacing,
    right_rebars_number_diameter_offset,
    right_rebars_type,
    right_rebars_spacing,
    top_reinforcement_l_rebar_rounding=2,
    top_reinforcement_hook_extension=40,
    top_reinforcement_hook_orientation="Front Inside",
    bottom_reinforcement_l_rebar_rounding=2,
    bottom_reinforcement_hook_extension=40,
    bottom_reinforcement_hook_orientation="Front Inside",
    left_l_rebar_rounding=2,
    left_rebars_hook_extension=40,
    left_rebars_hook_orientation="Front Inside",
    right_l_rebar_rounding=2,
    right_rebars_hook_extension=40,
    right_rebars_hook_orientation="Front Inside",
    structure=None,
    facename=None,
)
  • Crée un objet RebarGroup à partir de la structure donnée, qui est une Structure Arch, et de facename qui est une face de cet objet structure.
    • Si ni structure ni facename n'est donné, ce sera la face selectionné par l'utilisateur qui sera prise.
  • l_cover_of_stirrup, r_cover_of_stirrup, t_cover_of_stirrup, b_cover_of_stirrup et offset_of_stirrup sont des distances internes décalées pour le motif aux faces de la structure. Ce sont respectivement les décalages gauche, droit, haut, bas et avant/arrière.
  • bent_angle définit l'angle de la pointe de la boucle de renforcement de l'étrier.
  • extension_factor définit la longueur de la pointe de la boucle de renforcement de l'étrier, exprimée en multiple du diamètre.
  • dia_of_stirrup est le diamètre de l'étrier.
  • number_spacing_check mis à True, il créera autant d'étriers que donné par number_spacing_value. Mis à False, il créera un étrier séparé par la valeur numérique de number_spacing_value.
  • number_spacing_spue spécifie le nombre d'étriers ou la valeur de la séparation qui les sépare, en fonction de number_spacing_check.
  • top_reinforcement_number_diameter_offset et bottom_reinforcement_number_diameter_offset sont un tuple de la chaîne number_diameter_offset. Chaque élément du tuple représente le ferraillage pour chaque nouvel ensemble.
   Syntaxe: (
               "number1#diameter1@offset1+number2#diameter2@offset2+...",
               "number3#diameter3@offset3+number4#diameter4@offset4+...",
               ...,
           )
  • top_reinforcement_rebar_type et bottom_reinforcement_rebar_type spécifient le type de barres d'armature supérieure/inférieure.
   Valeurs possibles:
   1. 'StraightRebar' ou 'LShapeRebar'
   2. ('<rebar_type>', '<<rebar_type>', ...) et le nombre d'éléments du tuple doivent être égaux au nombre d'ensembles d'armatures.
   3. [
          ('<rebar_type>', '<<rebar_type>', ...),
          ('<rebar_type>', '<<rebar_type>', ...),
          ...
      ]
      chaque élément de la liste est un tuple, qui spécifie le type d'armature de chaque couche de ferraillage. Chaque élément du tuple représente rabar_type pour chaque ensemble de barres d’armature.
   4. [
          <type de rebar>,
          ('<rebar_type>', '<<rebar_type>', ...),
          ...
      ]
  • top_reinforcement_layer_spacing et bottom_reinforcement_layer_spacing sont l'espacement entre deux ensembles de ferraillage consécutifs.
   Valeurs possibles:
   1. <layer_spacing>
   2. (<spacing in layer1 and layer2>, <spacing in layer2 and layer3>, ...) et le nombre d'éléments du tuple doit être égal à un de moins que le nombre d'ensembles.
  • left_rebars_number_diameter_offset et right_rebars_number_diameter_offset sont une chaîne de number_diameter_offset.
   Syntaxe: "number1#diameter1@offset1+number2#diameter2@offset2+..."
  • left_rebars_type et right_rebars_type spécifient le type de barres d'armature gauche/droite.
   Valeurs possibles:
   1. 'StraightRebar' ou 'LShapeRebar'
   2. ('<rebar_type>', '<<rebar_type>', ...) et chaque élément du tuple représente rabar_type pour chaque ensemble de barres d’armature.
  • left_rebars_spacing et right_rebars_spacing est un espacement clair entre les barres d'armature consécutives.
  • top_reinforcement_l_rebar_rounding et bottom_reinforcement_l_rebar_rounding sont les paramètres qui déterminent le rayon de courbure des barres d'armature haut/bas en forme de l, exprimé en multiple du diamètre. La syntaxe possible est semblable à celle décrite ci-dessus pour top_reinforcement_rebar_type / bottom_reinforcement_rebar_type.
  • top_reinforcement_hook_extension et bottom_reinforcement_hook_extension sont la longueur du crochet des barres d'armature LShaped. La syntaxe possible est semblable à celle décrite ci-dessus pour top_reinforcement_rebar_type / bottom_reinforcement_rebar_type.
  • top_reinforcement_hook_orientation et bottom_reinforcement_hook_orientation spécifient l'orientation du crochet LShaped. Elle peut prendre pour valeur "Front Inside", "Front Outside", "Rear Inside" ou "Rear Outside". La syntaxe possible est semblable à celle décrite ci-dessus pour top_reinforcement_rebar_type / bottom_reinforcement_rebar_type.
  • left_l_rebar_rounding et right_l_rebar_rounding sont les paramètres qui déterminent le rayon de courbure des barres d'armature gauche/droite en forme de LS, exprimé en multiple du diamètre. La syntaxe possible est semblable à celle décrite ci-dessus pour left_rebars_type / right_rebars_type.
  • left_rebars_hook_extension et right_rebars_hook_extension sont les longueurs du crochet des armatures LShaped. La syntaxe possible est semblable à celle décrite ci-dessus pour left_rebars_type / right_rebars_type.
  • left_rebars_hook_orientation et right_rebars_hook_orientation spécifient l'orientation du crochet LShaped. Elle peut prendre pour valeur "Front Inside", "Front Outside", "Rear Inside" ou "Rear Outside". La syntaxe possible est similaire à celle décrite ci-dessus pour left_rebars_type / right_rebars_type.

Exemple

import FreeCAD, Arch
from BeamReinforcement import TwoLeggedBeam

Structure = Arch.makeStructure(length=3000.0,width=200.0,height=400.0)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

RebarGroup = TwoLeggedBeam.makeReinforcement(
    l_cover_of_stirrup=20,
    r_cover_of_stirrup=20,
    t_cover_of_stirrup=20,
    b_cover_of_stirrup=20,
    offset_of_stirrup=100,
    bent_angle=135,
    extension_factor=4,
    dia_of_stirrup=8,
    number_spacing_check=False,
    number_spacing_value=200,
    top_reinforcement_number_diameter_offset=("1#20@-60+2#16@-60+1#20@-60", "3#16@-100"),
    top_reinforcement_rebar_type="LShapeRebar",
    top_reinforcement_layer_spacing=30,
    bottom_reinforcement_number_diameter_offset=("1#20@-60+2#16@-60+1#20@-60", "3#16@-100"),
    bottom_reinforcement_rebar_type="LShapeRebar",
    bottom_reinforcement_layer_spacing=30,
    left_rebars_number_diameter_offset="1#16@-100+1#16@-100+1#16@-100",
    left_rebars_type="LShapeRebar",
    left_rebars_spacing=30,
    right_rebars_number_diameter_offset="1#16@-100+1#16@-100+1#16@-100",
    right_rebars_type="LShapeRebar",
    right_rebars_spacing=30,
    top_reinforcement_l_rebar_rounding=2,
    top_reinforcement_hook_extension=100,
    top_reinforcement_hook_orientation="Rear Outside",
    bottom_reinforcement_l_rebar_rounding=2,
    bottom_reinforcement_hook_extension=100,
    bottom_reinforcement_hook_orientation="Rear Outside",
    left_l_rebar_rounding=2,
    left_rebars_hook_extension=80,
    left_rebars_hook_orientation=("Rear Inside", "Front Inside", "Rear Inside"),
    right_l_rebar_rounding=2,
    right_rebars_hook_extension=80,
    right_rebars_hook_orientation=("Front Inside", "Rear Inside", "Front Inside"),
    structure=Structure,
    facename="Face6",
)
Page suivante: Rebar Arch Rebar.png Arrow-right.svg